#!/usr/local/bin/tclsh8.6

set basedir "/var/noaaport/data/gis/rad/shp";
set subdir {$s/n0r};

set sites [list lzk srx lch lix poe shv abx epz fdx hdx fdr inx\
	       tlx vnx ama bro crp dfx dyx ewx fws grk hgx lbb maf sjt];

set here [pwd];

foreach s $sites {
    set d [file join $basedir [subst $subdir]];
    set flist [lsort [glob -directory $d -nocomplain "*.shp"]];
    set f [lindex $flist end];
    file copy $f ${s}.shp
    set root [file rootname $f];
    foreach e [list shx dbf] {
	set f ${root}.$e;
	file copy $f ${s}.$e;
    }
}

	